Skip to main content
POST
/
v1
/
wallet
/
deposit_address
/
list
List Deposit Addresses
curl --request POST \
  --url https://api.ondoperps.xyz/v1/wallet/deposit_address/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "coins": [
    "USDC"
  ],
  "network": "ethereum"
}
'
{
  "success": true,
  "result": [
    {
      "coin": "USDC",
      "network": "ethereum",
      "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD18",
      "depositDestination": {
        "id": "10458932786832481",
        "wallet": "margin"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
coins
string[]
required

List of token symbols to retrieve deposit addresses for

Example:
["USDC"]
network
enum<string>

Filter by network; omit to list all networks

Available options:
avalanche,
ethereum,
solana
Example:

"ethereum"

depositDestination
object

Response

List of deposit addresses

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object[]